import { Module } from '@nestjs/common';
import { ChickensService } from './chickens.service';
import { ChickensController } from './chickens.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ChickenEntity } from './entities/chicken.entity';
import { UserModule } from 'src/user/user.module';
import { CacheService } from 'src/redis/redis';
import { OrderlogService } from 'src/orderlog/orderlog.service';
import { OrderlogEntity } from 'src/orderlog/entities/orderlog.entity';

@Module({
  imports: [
    TypeOrmModule.forFeature([ChickenEntity,OrderlogEntity]),
    UserModule,
  ],
  controllers: [ChickensController],
  exports: [ChickensService],
  providers: [ChickensService, CacheService,OrderlogService]
})
export class ChickensModule { }
